Subject: Re: Wishlist for a bundle-only transport mode

From: Jakub Narebski <[email-masked]>
Date: Wed, 21 Nov 2007 17:52:39 +0100

Johannes Schindelin wrote:
> On Wed, 21 Nov 2007, Jakub Narebski wrote:
>> Santi Bejar wrote:
>> 
>>> 3) I can "git fetch" a bundle but I cannot "git push" a bundle, so if I have:
>>> 
>>> [remote "bundle"]
>>> 	url = /file/to/bundle
>>> 	fetch = "+refs/heads/*:refs/remotes/bundle/*"
>>> 
>>> $ git push bundle
>>> 
>>> would create a bundle in /file/to/bundle with the same branches as a
>>> normal git push, but considering the remote branches as the local
>>> remotes/bundle/*
>> 
>> And how you would differentiate between path meaning bundle, and path 
>> meaning "local" protocol, i.e. git repository on the same filesystem? 
> 
> Maybe because the git repository is specified as an existing directory?  
> The bundle is specified as a (possibly non-existing) file...

That has the disadvantage of pushing to bundle when you make an error
in the lastpart of path to existing repository.

After thinking about it a bit, I think it would be better to use 
bundle:// pseudoprotocol for the URL including config (bundle://file,
bundle:///path/to/bundle) and --bundle option to git push for
commandline.

-- 
Jakub Narebski
Poland